
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>大话设计模式C++版——建造者模式 / 憋错料</title>

    <meta name="description" content="大话设计模式C++版——建造者模式 日常做菜的过程中,经常会有忘记放盐或者放2次盐的经历,最后导致好好的一盘菜让大家无从下口.这个时候就需要用到建造者模式来规范炒菜的过程,来保证每一道菜都会经历加油.放食物.放盐.放味精这4道基本的工序,同时保证每道工序不会重复. 1.炒菜基类 class CCook { public: CCook() {} virtual ~CCook() {} //建造过程函数 //为了保证所有的子类能够按照指定顺序依次实现完整的建造过程,而不会忘记某一个过程的调用(如忘了放盐) void Cook() {">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">大话设计模式C++版——建造者模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>日常做菜的过程中，经常会有忘记放盐或者放2次盐的经历，最后导致好好的一盘菜让大家无从下口。这个时候就需要用到建造者模式来规范炒菜的过程，来保证每一道菜都会经历加油、放食物、放盐、放味精这4道基本的工序，同时保证每道工序不会重复。</p>
<p>1、炒菜基类</p>
<pre>class CCook
{
public:
	CCook()	{}
	virtual	~CCook() {}

	//建造过程函数
	//为了保证所有的子类能够按照指定顺序依次实现完整的建造过程，而不会忘记某一个过程的调用（如忘了放盐）
	void	Cook()
	{
		PutFat();			//先放油
		PutFood();			//再放食物
		PutSalt();			//接着放盐
		PutAginomoto();		//最后放味精
	}

protected:
	virtual	void PutFat() = 0;
	virtual	void PutFood() = 0;
	virtual	void PutSalt() = 0;
	virtual	void PutAginomoto() = 0;
};</pre>
<p>2、炒肉类，继承并实现CCook的每一道工序</p>
<pre>class CCookMeat : public CCook
{
public:

private:
	void PutFat()
	{
		printf(&quot;Please input 10 gram fat to the pen\n&quot;);
	}

	void PutFood()
	{
		printf(&quot;Please input 500 gram meat to the pen\n&quot;);
	}

	void PutSalt()
	{
		printf(&quot;Please input 2 gram salt to the pen\n&quot;);
	}

	void PutAginomoto()
	{
		printf(&quot;Please iput 1 gram aginomoto to the pen\n&quot;);
	}
};</pre>
<p>3、实现示例</p>
<pre>void	Test()
{
	CCookMeat	oCCookMeat;

	oCCookMeat.Cook();
}</pre>
<p>运行结果如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA2MjgxMjI5NTY5NjE=.jpg"></p>
<p>我们在开发过程中经常会碰到一种情况，一个类实现了一组底层的基本功能，但实现一个高级功能时需要把某些基本功能组合起来调用，这时采用建造者模式就能保证调用过程顺序一致且无遗漏，同时调用者调用也很简单（如炒菜就只需调用Cook()函数即可，而不用去关心每一个具体细节）。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-07 02:20:08 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/builder/" title="builder">builder</a>, <a href="https://www.biecuoliao.com/tag/%e5%a4%a7%e8%af%9d%e8%ae%be%e8%ae%a1%e6%a8%a1%e5%bc%8f/" title="大话设计模式">大话设计模式</a>, <a href="https://www.biecuoliao.com/tag/%e5%bb%ba%e9%80%a0%e8%80%85%e6%a8%a1%e5%bc%8f/" title="建造者模式">建造者模式</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>大话设计模式C++版——建造者模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k2W2bM.html" rel="bookmark">大话设计模式C&plus;&plus;版&mdash;&mdash;代理模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇开始前先发个福利,程杰的&lt;大话设计模式&gt;一书高清电子版(带目录)已上传至CSDN,免积分下载. 下载地址:http://download.csdn.net/detail/gufeng99/8843487 代理模式是一种比较简单但却实用的设计模式,他可以灵活的更换代理的对象,但保证功能的完整性,就如卖衣服的代理商,他可以代理美特斯邦威的衣服,如果美特斯邦威的衣服被大家吐槽不好卖了,他还可以换去代理卖佐丹奴的,但不管怎么更换,还是能满足大家的需求--买衣服. 下面以大话设计模式书中的例子为例,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWvNjL4.html" rel="bookmark">大话设计模式C&plus;&plus;版&mdash;&mdash;工厂模式在COM中的典型应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇&lt;大话设计模式C++版--抽象工厂模式&gt;中,我们拯救世界未遂,留下小小的遗憾,本篇中我们将给出一个解决方案--COM组件技术,同时也顺便扯扯工厂模式在COM组件技术中的应用. 工厂模式违背开放-封闭原则的根本原因在于对象的产生无法通过客户模块外的数据进行控制,如果我们能从xml.注册表.配置文件中写入一个类的名字,然后模块从中读出类名,并根据读出的类名创建对象,那不就和C#高大上的反射技术一样牛B哄哄了.非常幸运,微软的COM组件技术就提供了这么一个平台. 1.COM组件是神马 为了节约篇			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4J95gP3.html" rel="bookmark">大话设计模式C&plus;&plus;版&mdash;&mdash;工厂方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工厂方法模式是以简单工厂模式为基础的,如果未了解简单工厂模式的同学可先浏览&lt;大话设计模式C++版--简单工厂模式&gt;.在简单工厂模式中,提到过简单工厂模式的缺陷,即违背了开发-封闭原则,其主要原因是由于switch的判断结构的使用,使修改或添加新的对象时需要改动简单工厂类的代码,不符合开放-封闭原则,那么工厂方法模式会在那方面有所改进呢?我们仍以简单工厂模式中加减法计算器为例. 1.保持简单工厂模式的 IOperation 接口和实现对象(COperation_Add 和 COperation_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pNV8P0.html" rel="bookmark">大话设计模式C&plus;&plus;版&mdash;&mdash;抽象工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面说过,简单工厂模式是最基础的一种设计模式,那以工厂命名的设计模式就是23种设计模式中最多的一种,他们一脉相承,一步一步进化而来,这里就是其中的最后一种--抽象工厂模式(Abstract Factory),其是在工厂方法模式的基础上改进而来,如果没有弄明白工厂方法模式的同学请先观看&lt;大话设计模式C++版--工厂方法模式&gt;. 为什么会有抽象工厂模式?抽象工厂模式是简单工厂模式缺陷的终极解决方式么?NO,抽象工厂模式并不是为了解决简单工厂模式的缺陷而活着,它是因为有新的使命而诞生. 一个简单的例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3raeDb0.html" rel="bookmark">大话设计模式C&plus;&plus;版&mdash;&mdash;简单工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简单工厂模式应该是所有设计模式中最简单,也最基础的一种模式,以下是一个简单的采用工厂模式写一个加减法的计算器. 1.抽象接口类--依赖倒转原则(高层和底层都要依赖于抽象,针对接口编程) class IOperation { public: IOperation() : m_nNuml(0), m_nNumr(0) {} virtual ~IOperation() {} virtual void SetNum(int nNuml = 0, int nNumr = 0) { m_nNuml = nN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41e9Wv4.html" rel="bookmark">大话设计模式之简单工厂模式&amp;amp&semi;工厂方法模式&amp;amp&semi;抽象工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创造类模式分为三种:简单工厂模式,工厂模式和抽象工厂模式. 定义: 简单工厂模式:用一个单独的类来做创造实例的过程. 工厂模式:一个用于创建对象的接口,让子类决定实例化哪一个类,讲一个类的实例化 延迟到其子类. 抽象工厂模式:为创建一组相关或相互依赖的对象的类,而不指定具体类. 结构图: 这是简单工厂的结构图,从图中就很好理解. 简单工厂的优点: 根据用户需要,new出需要的对象. 但是简单工厂弊端: 当新加入一个功能是,就要修改工厂.这个时候,就需要工厂模式了. 从图中我们可以看出: 工厂模式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4poYqJ3.html" rel="bookmark">大话设计模式C&plus;&plus;版&mdash;&mdash;表驱动法改造简单工厂</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上回&lt;大话设计模式C++版--简单工厂模式&gt;中指出了简单工厂模式的缺陷,即违背了开发-封闭原则,其主要原因是由于switch的判断结构的使用,使修改或添加新的对象时需要改动简单工厂类的代码,如何改造switch结构,表驱动法就可以粉墨登场了. 表驱动法的介绍见&lt;数据驱动编程之表驱动法&gt;. 1.面向接口编程,先改造抽象接口类IOperation class IOperation { public: IOperation() : m_nNuml(0), m_nNumr(0) {} vi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xrD8k4.html" rel="bookmark">大话设计模式&lowbar;简单工厂模式&lpar;Java代码&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简单的描述:一个父类.多个子类,实例化那个子类由一个单独的工厂类来进行 图片摘自大话设计模式: 运算类: 1 package com.longsheng.simpleFactory; 2 3 public class Calculate { 4 5 private double firstNum; 6 private double secondNum; 7 8 public double getFirstNum() { 9 return firstNum; 10 } 11 12 public v			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWD1lk0.html" rel="bookmark">大话设计模式&lowbar;抽象工厂模式&lpar;Java代码&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				抽象工厂模式:提供一个创建一系列相关或相互依赖对象的接口,而无需指定它们的具体类. 简单描述:有多种抽象产品,并且每种抽象产品都有多个具体产品.一个抽象工厂,提供多个具体工厂,每个工厂则提供不同种类的具体产品. 大话设计模式中的截图: 例子代码: AbstractProductA类: 1 package com.longsheng.abstractfactory; 2 3 public abstract class AbstractProductA { 4 5 public abstract v			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jlpW4.html" rel="bookmark" class="title">复习JS事件及DOM</a>
					<div>
						[JS中的事件分类] 1.鼠标事件: click/dbclick/mousedown/mousemove/mouseout/mouseover/mouseup  2.键盘事件 keydown:键盘按下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmjzP0.html" rel="bookmark" class="title">canvas&mdash;&mdash;粒子系统（1）</a>
					<div>
						这个动画在很早之前就见过,当时就没迷住了.最近在学canavs动画,动手实现了一下.代码在这里.展示效果在这里. 这属于粒子系统的一种,粒子系统就是需要管理一堆粒子嘛,动画实现的关键在于,遍历这些粒子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEonKP3.html" rel="bookmark" class="title">C&plus;&plus;windows内核编程笔记day07&lowbar;day08&comma;可视化建菜单、加速键使用、绘图等</a>
					<div>
						可视化操作创建的菜单,加载到窗口. 方法1:注册时指定菜单 wce.lpszMenuName=MAKEINTRESOURCE(IDR_MENUMAIN);//数字形式的资源ID转换为字符串形式的资源  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47NEGR3.html" rel="bookmark" class="title">矩阵连乘最优解---动态规划</a>
					<div>
						代码如下: #include &lt;iostream&gt; #include &lt;algorithm&gt; #include &lt;cstdio&gt; #include &lt;cstr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoYlpP3.html" rel="bookmark" class="title">Spring bean的自动装配属性</a>
					<div>
						bean的自动装配属性能简化xml文件配置. bean 的自动装配属性分为四种: 1.byName 2.byTyoe 3.constructor 4. autodetect byName: 它查找配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vKpN94.html" rel="bookmark" class="title">理解MVC设计模式</a>
					<div>
						浏览器向服务端发送一个http请求,服务端要有对应的程序处理它,最原始的处理请求的程序就是Servlet,在Servlet中完成数据的处理,然后在将对应的html代码以字符串的形式用流对象返回给客户端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q8XLl3.html" rel="bookmark" class="title">正则表达式（二）</a>
					<div>
						注:元字符中的字母不缺分大小写. 元字符 说明 ^ 匹配字符串的开始. $ 匹配字符串的结束. . 匹配除换行符以外的任意字符. \d 匹配数字. \b 匹配单词的开始或结束. \s 匹配任意的空白字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVYZjp4.html" rel="bookmark" class="title">MYSQLMTOP&excl;开源MYSQL监控系统</a>
					<div>
						原文地址:http://www.lepus.cc/page/opensource					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MG8qYG0.html" rel="bookmark" class="title">mfc editline 变为大框框</a>
					<div>
						属性:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEZbrx0.html" rel="bookmark" class="title">【java】理解java对象序列化</a>
					<div>
						关于Java序列化的文章早已是汗牛充栋了,本文是对我个人过往学习,理解及应用Java序列化的一个总结.此文内容涉及Java序列化的基本原理,以及多种方法对序列化形式进行定制.在撰写本文时,既参考了Th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aAyxv0.html" rel="bookmark" class="title">Qt 多线程同步 与 通信</a>
					<div>
						转自网络 1 多线程同步 Qt提供了以下几个类来完成这一点:QMutex.QMutexLocker.QSemphore.QWaitCondition. 当然可能还包含QReadWriteLocker. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wEyllM.html" rel="bookmark" class="title">C&plus;&plus;友元函数（转）</a>
					<div>
						此文转自C++_友元函数. 1. 引入友元函数原因 在实现类之间数据共享时,减少系统开销,提高效率. 具体来说:为了使其他类的成员函数直接访问该类的私有变量. 即:允许外面的类或函数去访问类的私有变量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz11rA4.html" rel="bookmark" class="title">搭建完全分离式LNMP平台的简单案例</a>
					<div>
						写在前面:如果此文有幸被某位朋友看见并发现有错的地方,希望批评指正.如有不明白的地方,愿可一起探讨. 案例拓扑图 安装配置nginx服务器 编译安装nginx时,需要事先安装 开发包组&quot;De ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrBVQ4.html" rel="bookmark" class="title">小结 - 基础博弈</a>
					<div>
						小结一下基础博弈,因为暂时对博弈的理解还不是很深,只能说一下我对这段时间对博弈的认识. 博弈论的简介 博弈论是二人或多人在平等的对局中各自利用对方的策略变换自己的对抗策略,达到取胜目标的理论.博弈论是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1ged4.html" rel="bookmark" class="title">在VS中配置并测试opencv</a>
					<div>
						什么是opencv? opencv是一个计算机视觉库.它目前有两个分支2.4.X和3.X,2.4.X版本是经典版本,网上的教程资源大多是关于它的,所以推荐使用2.4.X. 它能帮我做什么? 这意味着你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49LzXJ3.html" rel="bookmark" class="title">Scalaz（46）－ scalaz-stream 基础介绍</a>
					<div>
						scalaz-stream是一个泛函数据流配件库(functional stream combinator library),特别适用于函数式编程.scalar-stream是由一个以上各种状态的Pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eEqLE0.html" rel="bookmark" class="title">【ASP&period;NET】&mdash;&mdash;统计在线人数、历史访问人数</a>
					<div>
						北大青鸟的视频中讲了很多很实用的例子,这是其中一个,在实现的过程中,遇到一些问题,但也都在老师的指导下和通过查阅资料解决了,感觉收获颇丰. 在做这个例子的时候发现:ASP.NET的Applicatio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbPBq3.html" rel="bookmark" class="title">闰年测试处理非法输入</a>
					<div>
						本周问题为:输入任意年份,判断是否为闰年. 判断是否为闰年,可以通过下面代码实现: public boolean ifLeapYear(int year) { if (year % 400 == 0) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38pygW3.html" rel="bookmark" class="title">&amp;lt&semi;net&sol;bpf&period;h&amp;gt&semi;头文件</a>
					<div>
						在some GPL source code中会用到一个头文件 #include &lt;net/bpf.h&gt; 那么这个头文件是什么头文件哪? bpf.h是Barkly Packet Filter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bRzde0.html" rel="bookmark" class="title">约孤呵蝗莱坎郧馁涯郎事倩搅掷坊</a>
					<div>
						http://i2.feixin.10086.cn/pages/106923/1344990847?retcode=0 http://i2.feixin.10086.cn/pages/101248/1 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
